it. ## --------------------- ## ## M4sh Initialization. ## ##
--------------------- ##
# Be Bourne compatible if test -n "${ZSH_VERSION+set}" && (emu-
late sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"' elif test -n "${BASH_VERSION+set}"
&& (set -o posix) >/dev/null 2>&1; then
set -o posix fi
# Support unset when possible. if (FOO=FOO; unset FOO)
>/dev/null 2>&1; then
as_unset=unset else
as_unset=false fi
# Work around bugs in pre-3.0 UWIN ksh. $as_unset ENV MAIL MAIL-
PATH PS1='$ ' PS2='> ' PS4='+ '
# NLS nuisances. for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL
LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MES-
SAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE
LC_TIME do
if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`");
then
eval $as_var=C; export $as_var
else
$as_unset $as_var
fi done
# Required to use basename. if expr a : '' >/dev/null 2>&1; then
as_expr=expr else
as_expr=false fi
if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" =
"X/"; then
as_basename=basename else
as_basename=false fi
# Name of the executable. as_me=`$as_basename "$0" || $as_expr
X/"$0" : '.*//][^/]*/*$' X"$0" : 'X$' X"$0" : 'X$' .
: '' 2>/dev/null || echo X/"$0" |
sed '/^.*/][^/]**$/{ s//1/; q; }
/^X$/{ s//1/; q; }
/^X.*/{ s//1/; q; }
s/.*/./; q'`
PATH_SEPARATOR=:
fi
rm -f conf$$.sh fi
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" || {
# Find who we are. Look in the path if we contain no path at
all
# relative or not.
case $0 in
*[\/]* ) as_myself=$0 ;;
*) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break done
;;
esac
# We did not find ourselves, most probably we were run as `sh
COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
as_myself=$0
fi
if test ! -f "$as_myself"; then
{ echo "$as_me: error: cannot find myself; rerun with an ab-
solute path" >&2
{ (exit 1); exit 1; }; }
fi
case $CONFIG_SHELL in
'')
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
/bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for as_base in sh bash ksh sh5; do case $as_dir in
/*) if ("$as_dir/$as_base" -c '
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
$as_unset BASH_ENV || test "${BASH_ENV+set}" != set
|| { BASH_ENV=; export BASH_ENV; } $as_unset ENV ||
test "${ENV+set}" != set || { ENV=; export ENV; }
CONFIG_SHELL=$as_dir/$as_base export CONFIG_SHELL
exec "$CONFIG_SHELL" "$0" ${1+"$@"} fi;;
end.
# (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
# second 'sed' script. Blame Lee E. McMahon for sed's syntax.
:-)
sed '=' <$as_myself |
sed '
N
s,$,-,
: loop
s,^$as_cr_digits']*[$]LINENO'$as_cr_alnum'_],1213,
t loop
s,-$,,
s,^['$as_cr_digits']*0,
' >$as_me.lineno &&
chmod +x $as_me.lineno ||
{ echo "$as_me: error: cannot create $as_me.lineno; rerun
with a POSIX shell" >&2
{ (exit 1); exit 1; }; }
# Don't try to exec as it changes $[0], causing all sort of
problems
# (the dirname of $[0] is not the place where we might find the
# original and so on. Autoconf is especially sensible to
this).
. ./$as_me.lineno
# Exit status is that of the last command.
exit }
case `echo "testing *c*,-n*) ECHO_N= ECHO_C='
*c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
*) ECHO_N= ECHO_C='esac
if expr a : '' >/dev/null 2>&1; then
as_expr=expr else
as_expr=false fi
rm -f conf$$ conf$$.exe conf$$.file echo >conf$$.file if ln -s
conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is
more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP
2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
as_ln_s='ln -s'
fi elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln else
as_ln_s='cp -p' fi rm -f conf$$ conf$$.exe conf$$.file
# IFS # We need space, tab and new line, in precisely that order.
as_nl=' IFS=" $as_nl"
# CDPATH. $as_unset CDPATH
# Name of the host. # hostname on some systems (SVR3.2, Linux)
returns a bogus exit status, # so uname gets run too. ac_host-
name=`(hostname || uname -n) 2>/dev/null | sed 1q`
exec 6>&1
# # Initializations. # ac_default_prefix=/usr/local ac_con-
fig_libobj_dir=. cross_compiling=no subdirs= MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document. #
This variable seems obsolete. It should probably be removed, and
# only ac_max_sed_lines should be used. :
${ac_max_here_lines=38}
# Identity of this package. PACKAGE_NAME='wmmemload' PACK-
AGE_TARNAME='wmmemload' PACKAGE_VERSION='0.1.5' PACK-
AGE_STRING='wmmemload 0.1.5' PACKAGE_BUGREPORT='me@markstag-
gs.net'
ac_unique_file="src/main.c" # Factoring default headers for most
tests. ac_includes_default="#include <stdio.h> #if
HAVE_SYS_TYPES_H # include <sys/types.h> #endif #if
HAVE_SYS_STAT_H # include <sys/stat.h> #endif #if STDC_HEADERS #
include <stdlib.h> # include <stddef.h> #else # if HAVE_STDLIB_H
# include <stdlib.h> # endif #endif #if HAVE_STRING_H # if
!STDC_HEADERS && HAVE_MEMORY_H # include <memory.h> # endif #
include <string.h> #endif #if HAVE_STRINGS_H # include
/dev/null 2>&1 ||
{ { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
echo "$as_me: error: cannot run $ac_config_sub" >&2;}
{ (exit 1); exit 1; }; }
echo "$as_me:$LINENO: checking build system type" >&5 echo
$ECHO_N "checking build system type... $ECHO_C" >&6 if test
"${ac_cv_build+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_cv_build_alias=$build_alias test -z "$ac_cv_build_alias" &&
ac_cv_build_alias=`$ac_config_guess` test -z
"$ac_cv_build_alias" &&
{ { echo "$as_me:$LINENO: error: cannot guess build type; you
must specify one" >&5 echo "$as_me: error: cannot guess build
type; you must specify one" >&2;}
{ (exit 1); exit 1; }; } ac_cv_build=`$ac_config_sub
$ac_cv_build_alias` ||
{ { echo "$as_me:$LINENO: error: $ac_config_sub
$ac_cv_build_alias failed" >&5 echo "$as_me: error: $ac_con-
fig_sub $ac_cv_build_alias failed" >&2;}
{ (exit 1); exit 1; }; }
fi echo "$as_me:$LINENO: result: $ac_cv_build" >&5 echo
"${ECHO_T}$ac_cv_build" >&6 build=$ac_cv_build build_cpu=`echo
$ac_cv_build | sed 's/^-]*--]*-$/1/'` build_vendor=`echo
$ac_cv_build | sed 's/^-]*--]*-$/2/'` build_os=`echo $ac_cv_build
fi echo "$as_me:$LINENO: result: $ac_cv_host" >&5 echo
"${ECHO_T}$ac_cv_host" >&6 host=$ac_cv_host host_cpu=`echo
$ac_cv_host | sed 's/^-]*--]*-$/1/'` host_vendor=`echo
$ac_cv_host | sed 's/^-]*--]*-$/2/'` host_os=`echo $ac_cv_host |
sed 's/^-]*--]*-$/3/'`
echo "$as_me:$LINENO: checking target system type" >&5 echo
$ECHO_N "checking target system type... $ECHO_C" >&6 if test
"${ac_cv_target+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_cv_target_alias=$target_alias test "x$ac_cv_target_alias" =
"x" &&
ac_cv_target_alias=$ac_cv_host_alias ac_cv_target=`$ac_con-
fig_sub $ac_cv_target_alias` ||
{ { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_tar-
get_alias failed" >&5 echo "$as_me: error: $ac_config_sub
$ac_cv_target_alias failed" >&2;}
{ (exit 1); exit 1; }; }
fi echo "$as_me:$LINENO: result: $ac_cv_target" >&5 echo
"${ECHO_T}$ac_cv_target" >&6 target=$ac_cv_target tar-
get_cpu=`echo $ac_cv_target | sed 's/^-]*--]*-$/1/'` target_ven-
dor=`echo $ac_cv_target | sed 's/^-]*--]*-$/2/'` target_os=`echo
$ac_cv_target | sed 's/^-]*--]*-$/3/'`
# The aliases save the names the user supplied, while $host etc.
# will get canonicalized. test -n "$target_alias" &&
test "$program_prefix$program_suffix$program_transform_name" =
NONENONEs,x,x, &&
program_prefix=${target_alias}- # Find a good install program.
We prefer a C program (faster), # so one script is as good as an-
other. But avoid the broken or # incompatible versions: # SysV
/etc/install, /usr/sbin/install # SunOS /usr/etc/install # IRIX
/sbin/install # AIX /bin/install # AmigaOS /C/install, which in-
stalls bootblocks on floppy discs # AIX 4 /usr/bin/installbsd,
which doesn't work without a -g flag # AFS /usr/afsws/bin/in-
stall, which mishandles nonexistent args # SVR4 /usr/ucb/install,
which tries to use the nonexistent group "staff" # ./install,
which can be erroneously created by make from ./install.sh. echo
"$as_me:$LINENO: checking for a BSD-compatible install" >&5 echo
$ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6 if
test -z "$INSTALL"; then if test "${ac_cv_path_install+set}" =
set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
# Account for people who put trailing slashes in PATH elements.
case $as_dir/ in
vention.
:
elif test $ac_prog = install &&
grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null
2>&1; then
# program-specific install script used by HP pw-
plus--don't use.
:
else
ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
break 3
fi
fi
done
done
;; esac done
fi
if test "${ac_cv_path_install+set}" = set; then
INSTALL=$ac_cv_path_install
else
# As a last resort, use the slow shell script. We don't
cache a
# path for INSTALL within a source directory, because that
will
# break other packages using the cache if that directory is
# removed, or if the path is relative.
INSTALL=$ac_install_sh
fi fi echo "$as_me:$LINENO: result: $INSTALL" >&5 echo
"${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
# It thinks the first close brace ends the variable substitution.
test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
echo "$as_me:$LINENO: checking whether build environment is sane"
>&5 echo $ECHO_N "checking whether build environment is sane...
$ECHO_C" >&6 # Just in case sleep 1 echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments. Must try -L first in case configure is actually a #
symlink; some systems play weird games with the mod time of sym-
links # (eg FreeBSD returns the mod time of the symlink's con-
taining # directory). if (
set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
if test "$*" = "X"; then
# -L didn't work.
set X `ls -t $srcdir/configure conftestfile`
fi
test "$2" = conftestfile
) then
# Ok.
: else
{ { echo "$as_me:$LINENO: error: newly created file is older
than distributed files! Check your system clock" >&5 echo
"$as_me: error: newly created file is older than distributed
files! Check your system clock" >&2;}
{ (exit 1); exit 1; }; } fi rm -f conftest* echo
"$as_me:$LINENO: result: yes" >&5 echo "${ECHO_T}yes" >&6 test
"$program_prefix" != NONE &&
program_transform_name="s,^,$program_prefix,;$program_trans-
form_name" # Use a double $ so make ignores it. test "$pro-
gram_suffix" != NONE &&
program_transform_name="s,$program_suffix,;$program_trans-
form_name" # Double any or $. echo might interpret backslashes.
# By default was `s,x,x', remove it if useless. cat <<_ACEOF
>conftest.sed s/[\$]/&&/g;s/;s,x,x,$// _ACEOF program_trans-
form_name=`echo $program_transform_name | sed -f conftest.sed` rm
conftest.sed
echo "$as_me:$LINENO: checking whether ${MAKE-make} sets KE)" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets KE)... $ECHO_C"
>&6 set dummy ${MAKE-make}; ac_make=`echo "$2" | sed
'y,./+-,__p_,'` if eval "test
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.make <<_ACEOF all: @echo
'ac_maketemp="$(MAKE)"' _ACEOF # GNU make sometimes prints
"make[1]: Entering...", which would confuse us. eval `${MAKE-
make} -f conftest.make 2>/dev/null | grep temp=` if test -n
"$ac_maketemp"; then
eval ac_cv_prog_make_${ac_make}_set=yes else
eval ac_cv_prog_make_${ac_make}_set=no fi rm -f conftest.make
fi if eval "test
echo "$as_me:$LINENO: result: yes" >&5 echo "${ECHO_T}yes" >&6
SET_MAKE= else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6
SET_MAKE="MAKE=${MAKE-make}" fi
PACKAGE=$PACKAGE_NAME
VERSION=$PACKAGE_VERSION
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/con-
fig.status; then
{ { echo "$as_me:$LINENO: error: source directory already con-
figured; run echo "$as_me: error: source directory already con-
figured; run
{ (exit 1); exit 1; }; } fi
/dev/null 2>&1; then
ACLOCAL=aclocal
echo "$as_me:$LINENO: result: found" >&5 echo "${ECHO_T}found"
>&6 else
ACLOCAL="$missing_dir/missing aclocal"
echo "$as_me:$LINENO: result: missing" >&5 echo
"${ECHO_T}missing" >&6 fi
echo "$as_me:$LINENO: checking for working autoconf" >&5 echo
$ECHO_N "checking for working autoconf... $ECHO_C" >&6 # Run test
in a subshell; some versions of sh will print an error if # an
executable is not found, even if stderr is redirected. # Redi-
rect stdin to placate older versions of autoconf. Sigh. if (au-
toconf --version) < /dev/null > /dev/null 2>&1; then
AUTOCONF=autoconf
echo "$as_me:$LINENO: result: found" >&5 echo "${ECHO_T}found"
>&6 else
AUTOCONF="$missing_dir/missing autoconf"
echo "$as_me:$LINENO: result: missing" >&5 echo
"${ECHO_T}missing" >&6 fi
echo "$as_me:$LINENO: checking for working automake" >&5 echo
$ECHO_N "checking for working automake... $ECHO_C" >&6 # Run test
in a subshell; some versions of sh will print an error if # an
executable is not found, even if stderr is redirected. # Redi-
rect stdin to placate older versions of autoconf. Sigh. if (au-
tomake --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake
echo "$as_me:$LINENO: result: found" >&5 echo "${ECHO_T}found"
>&6 else
AUTOMAKE="$missing_dir/missing automake"
echo "$as_me:$LINENO: result: missing" >&5 echo
"${ECHO_T}missing" >&6 fi
echo "$as_me:$LINENO: checking for working autoheader" >&5 echo
$ECHO_N "checking for working autoheader... $ECHO_C" >&6 # Run
test in a subshell; some versions of sh will print an error if #
an executable is not found, even if stderr is redirected. # Re-
direct stdin to placate older versions of autoconf. Sigh. if
(autoheader --version) < /dev/null > /dev/null 2>&1; then
AUTOHEADER=autoheader
echo "$as_me:$LINENO: result: found" >&5 echo "${ECHO_T}found"
>&6 else
AUTOHEADER="$missing_dir/missing autoheader"
echo "$as_me:$LINENO: result: missing" >&5 echo
"${ECHO_T}missing" >&6 fi
echo "$as_me:$LINENO: checking for working makeinfo" >&5 echo
$ECHO_N "checking for working makeinfo... $ECHO_C" >&6 # Run test
in a subshell; some versions of sh will print an error if # an
executable is not found, even if stderr is redirected. # Redi-
rect stdin to placate older versions of autoconf. Sigh. if
ac_config_commands="$ac_config_commands default-1"
for ac_prog in gawk mawk nawk awk do
# Extract the first word of "$ac_prog", so it can be a program
name with args. set dummy $ac_prog; ac_word=$2 echo
"$as_me:$LINENO: checking for $ac_word" >&5 echo $ECHO_N "check-
ing for $ac_word... $ECHO_C" >&6 if test "${ac_cv_prog_AWK+set}"
= set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test -n "$AWK"; then
ac_cv_prog_AWK="$AWK" # Let the user override the test. else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_AWK="$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi done done
fi fi AWK=$ac_cv_prog_AWK if test -n "$AWK"; then
echo "$as_me:$LINENO: result: $AWK" >&5 echo "${ECHO_T}$AWK"
>&6 else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
test -n "$AWK" && break done
ac_ext=c ac_cpp='$CPP $CPPFLAGS' ac_compile='$CC -c $CFLAGS
$CPPFLAGS conftest.$ac_ext >&5' ac_link='$CC -o conftest$ac_exe-
ext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu if test -n "$ac_tool_pre-
fix"; then
# Extract the first word of "${ac_tool_prefix}gcc", so it can
be a program name with args. set dummy ${ac_tool_prefix}gcc;
ac_word=$2 echo "$as_me:$LINENO: checking for $ac_word" >&5 echo
$ECHO_N "checking for $ac_word... $ECHO_C" >&6 if test
"${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test -n "$CC"; then
ac_cv_prog_CC="$CC" # Let the user override the test. else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_CC="${ac_tool_prefix}gcc"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi done done
test. else as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
$PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_ac_ct_CC="gcc"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi done done
fi fi ac_ct_CC=$ac_cv_prog_ac_ct_CC if test -n "$ac_ct_CC"; then
echo "$as_me:$LINENO: result: $ac_ct_CC" >&5 echo
"${ECHO_T}$ac_ct_CC" >&6 else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
CC=$ac_ct_CC else
CC="$ac_cv_prog_CC" fi
if test -z "$CC"; then
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}cc", so it can be
a program name with args. set dummy ${ac_tool_prefix}cc;
ac_word=$2 echo "$as_me:$LINENO: checking for $ac_word" >&5 echo
$ECHO_N "checking for $ac_word... $ECHO_C" >&6 if test
"${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test -n "$CC"; then
ac_cv_prog_CC="$CC" # Let the user override the test. else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_CC="${ac_tool_prefix}cc"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi done done
fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
echo "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC" >&6
else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
fi if test -z "$ac_cv_prog_CC"; then
ac_ct_CC=$CC
# Extract the first word of "cc", so it can be a program name
with args. set dummy cc; ac_word=$2 echo "$as_me:$LINENO: check-
ing for $ac_word" >&5 echo $ECHO_N "checking for $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test -n "$ac_ct_CC"; then
"${ECHO_T}$ac_ct_CC" >&6 else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
CC=$ac_ct_CC else
CC="$ac_cv_prog_CC" fi
fi if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name
with args. set dummy cc; ac_word=$2 echo "$as_me:$LINENO: check-
ing for $ac_word" >&5 echo $ECHO_N "checking for $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test -n "$CC"; then
ac_cv_prog_CC="$CC" # Let the user override the test. else
ac_prog_rejected=no as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for
as_dir in $PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
ac_prog_rejected=yes
continue
fi
ac_cv_prog_CC="cc"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi done done
if test $ac_prog_rejected = yes; then
# We found a bogon in the path, so make sure we never use it.
set dummy $ac_cv_prog_CC
shift
if test $@%:@ != 0; then
# We chose a different compiler from the bogus one.
# However, it has the same basename, so the bogon will be
chosen
# first if we set CC to just the basename; use the full file
name.
shift
ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
fi fi fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
echo "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC" >&6
else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
fi if test -z "$CC"; then
if test -n "$ac_tool_prefix"; then
for ac_prog in cl
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it
can be a program name with args. set dummy $ac_tool_pre-
fi done done
fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
echo "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC" >&6
else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
test -n "$CC" && break
done fi if test -z "$CC"; then
ac_ct_CC=$CC
for ac_prog in cl do
# Extract the first word of "$ac_prog", so it can be a program
name with args. set dummy $ac_prog; ac_word=$2 echo
"$as_me:$LINENO: checking for $ac_word" >&5 echo $ECHO_N "check-
ing for $ac_word... $ECHO_C" >&6 if test
"${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test -n "$ac_ct_CC"; then
ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the
test. else as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
$PATH do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_prog_ac_ct_CC="$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi done done
fi fi ac_ct_CC=$ac_cv_prog_ac_ct_CC if test -n "$ac_ct_CC"; then
echo "$as_me:$LINENO: result: $ac_ct_CC" >&5 echo
"${ECHO_T}$ac_ct_CC" >&6 else
echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
test -n "$ac_ct_CC" && break done
CC=$ac_ct_CC fi
fi
test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C
compiler found in ATH See `config.log' for more details." >&5
echo "$as_me: error: no acceptable C compiler found in ATH See
`config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
# Provide some information about the compiler. echo
"$as_me:$LINENO:" "checking for C compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2` { (eval echo
"$as_me:$LINENO:
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
int main () {
;
return 0; } _ACEOF ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files a.out a.exe b.out" # Try to cre-
ate an executable without -o first, disregard a.out. # It will
help us diagnose broken compilers, and finding out an intuition #
of exeext. echo "$as_me:$LINENO: checking for C compiler default
output" >&5 echo $ECHO_N "checking for C compiler default out-
put... $ECHO_C" >&6 ac_link_default=`echo "$ac_link" | sed 's/ -o
*conftest[^ ]*//'` if { (eval echo "$as_me:$LINENO:
(eval $ac_link_default) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; then
# Find the output, starting from the most likely. This scheme
is # not robust to junk in `.', hence go to wildcards (a.*) only
as a last # resort.
# Be careful to initialize this variable, since it used to be
cached. # Otherwise an old cache value of `no' led to `EXEEXT =
no' in a Makefile. ac_cv_exeext= # b.out is created by i960 com-
pilers. for ac_file in a_out.exe a.exe conftest.exe a.out con-
ftest a.* conftest.* b.out do
test -f "$ac_file" || continue
case $ac_file in
*.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb |
*.bbg | *.o | *.obj )
;;
conftest.$ac_ext )
# This is the source file.
;;
[ab].out )
# We found the default executable, but exeext='' is most
# certainly right.
break;;
*.* )
ac_cv_exeext=`expr "$ac_file" : '[^.]**'`
# FIXME: I believe we export ac_cv_exeext for Libtool,
# but it would be cool to find out if it's true. Does
anybody
# maintain Libtool? --akim.
export ac_cv_exeext
break;;
* )
break;;
esac done else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
FIXME: These cross compiler hacks should be removed for Autoconf
3.0 # If not cross compiling, check that we can run a simple pro-
gram. if test "$cross_compiling" != yes; then
if { ac_try='./$ac_file'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
cross_compiling=no
else
if test "$cross_compiling" = maybe; then cross_com-
piling=yes
else { { echo "$as_me:$LINENO: error: cannot run C
compiled programs. If you meant to cross compile, use `--host'.
See `config.log' for more details." >&5 echo "$as_me: error: can-
not run C compiled programs. If you meant to cross compile, use
`--host'. See `config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
fi
fi fi echo "$as_me:$LINENO: result: yes" >&5 echo
"${ECHO_T}yes" >&6
rm -f a.out a.exe conftest$ac_cv_exeext b.out
ac_clean_files=$ac_clean_files_save # Check the compiler produces
executables we can run. If not, either # the compiler is broken,
or we cross compile. echo "$as_me:$LINENO: checking whether we
are cross compiling" >&5 echo $ECHO_N "checking whether we are
cross compiling... $ECHO_C" >&6 echo "$as_me:$LINENO: result:
$cross_compiling" >&5 echo "${ECHO_T}$cross_compiling" >&6
echo "$as_me:$LINENO: checking for suffix of executables" >&5
echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; then
# If both `conftest.exe' and `conftest' are `present' (well,
observable) # catch `conftest.exe'. For instance with Cygwin,
`ls conftest' will # work properly (i.e., refer to `con-
ftest.exe'), while it won't with # `rm'. for ac_file in con-
ftest.exe conftest conftest.*; do
test -f "$ac_file" || continue
case $ac_file in
*.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb |
*.bbg | *.o | *.obj ) ;;
*.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]**'`
export ac_cv_exeext
break;;
* ) break;;
esac done else
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
int main () {
;
return 0; } _ACEOF rm -f conftest.o conftest.obj if { (eval
echo "$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; then
for ac_file in `(ls conftest.o conftest.obj; ls conftest.*)
2>/dev/null`; do
case $ac_file in
*.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb |
*.bbg ) ;;
*) ac_cv_objext=`expr "$ac_file" : '.*.'`
break;;
esac done else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
{ { echo "$as_me:$LINENO: error: cannot compute suffix of object
files: cannot compile See `config.log' for more details." >&5
echo "$as_me: error: cannot compute suffix of object files: can-
not compile See `config.log' for more details." >&2;}
{ (exit 1); exit 1; }; } fi
rm -f conftest.$ac_cv_objext conftest.$ac_ext fi echo
"$as_me:$LINENO: result: $ac_cv_objext" >&5 echo
"${ECHO_T}$ac_cv_objext" >&6 OBJEXT=$ac_cv_objext ac_objext=$OB-
JEXT echo "$as_me:$LINENO: checking whether we are using the GNU
C compiler" >&5 echo $ECHO_N "checking whether we are using the
GNU C compiler... $ECHO_C" >&6 if test "${ac_cv_c_compil-
er_gnu+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
int main () { #ifndef __GNUC__
choke me #endif
;
return 0; } _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
fi echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5 echo
"${ECHO_T}$ac_cv_c_compiler_gnu" >&6 GCC=`test $ac_compiler_gnu =
yes && echo yes` ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS CFLAGS="-g" echo "$as_me:$LINENO: checking
whether $CC accepts -g" >&5 echo $ECHO_N "checking whether $CC
accepts -g... $ECHO_C" >&6 if test "${ac_cv_prog_cc_g+set}" =
set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
int main () {
;
return 0; } _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_g=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_prog_cc_g=no fi rm -f conftest.$ac_objext conftest.$ac_ext
fi echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5 echo
"${ECHO_T}$ac_cv_prog_cc_g" >&6 if test "$ac_test_CFLAGS" = set;
then
CFLAGS=$ac_save_CFLAGS elif test $ac_cv_prog_cc_g = yes; then
if test "$GCC" = yes; then
CFLAGS="-g -O2"
else
CFLAGS="-g"
fi else
if test "$GCC" = yes; then
CFLAGS="-O2"
else
CFLAGS=
fi fi echo "$as_me:$LINENO: checking for $CC option to accept
ANSI C" >&5 echo $ECHO_N "checking for $CC option to accept ANSI
C... $ECHO_C" >&6 if test "${ac_cv_prog_cc_stdc+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_cv_prog_cc_stdc=no ac_save_CC=$CC cat >conftest.$ac_ext
<<_ACEOF #line $LINENO "configure" /* confdefs.h. */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
return s; } int test (int i, double x); struct s1 {int (*f)
(int a);}; struct s2 {int (*f) (double a);}; int pairnames (int,
char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc; char **argv; int main () { return f (e, argv, 0) !=
argv[0] || f (e, argv, 1) != argv[1];
;
return 0; } _ACEOF # Don't try gcc -ansi; that turns off useful
extensions and # breaks some systems' header files. #
AIX -qlanglvl=ansi # Ultrix and
OSF/1 -std1 # HP-UX 10.20 and later -Ae # HP-UX older ver-
sions -Aa -D_HPUX_SOURCE # SVR4 -Xc -D__EXTEN-
SIONS__ for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa
-D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__" do
CC="$ac_save_CC $ac_arg"
rm -f conftest.$ac_objext if { (eval echo "$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_prog_cc_stdc=$ac_arg break else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
fi rm -f conftest.$ac_objext done rm -f conftest.$ac_ext con-
ftest.$ac_objext CC=$ac_save_CC
fi
case "x$ac_cv_prog_cc_stdc" in
x|xno)
echo "$as_me:$LINENO: result: none needed" >&5 echo
"${ECHO_T}none needed" >&6 ;;
*)
echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5 echo
"${ECHO_T}$ac_cv_prog_cc_stdc" >&6
CC="$CC $ac_cv_prog_cc_stdc" ;; esac
# Some people use a C++ compiler to compile C. Since we use `ex-
it', # in C++ we need to declare it. In case someone uses the
same compiler # for both compiling C and C++ we need to have the
C++ compiler decide # the declaration of exit, since it's the
most demanding environment. cat >conftest.$ac_ext <<_ACEOF
@%:@ifndef __cplusplus
choke me @%:@endif _ACEOF rm -f conftest.$ac_objext if { (eval
echo "$as_me:$LINENO:
(eval $ac_compile) 2>&5
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ @%:@include
conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char dnet_ntoa (); int main () { dnet_ntoa ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_dnet_stub_dnet_ntoa=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_dnet_stub_dnet_ntoa=no fi rm -f conftest.$ac_objext
conftest$ac_exeext conftest.$ac_ext LIBS=$ac_check_lib_save_LIBS
fi echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_stub_dnet_ntoa"
>&5 echo "${ECHO_T}$ac_cv_lib_dnet_stub_dnet_ntoa" >&6 if test
$ac_cv_lib_dnet_stub_dnet_ntoa = yes; then
X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub" fi
fi fi rm -f conftest.$ac_objext conftest$ac_exeext con-
ftest.$ac_ext
LIBS="$ac_xsave_LIBS"
# msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ /* System
header to define __stub macros and hopefully few prototypes,
which can conflict with char gethostbyname (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */ #ifdef
__STDC__ # include <limits.h> #else # include <assert.h> #endif
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" { #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char gethostbyname (); /* The GNU C library defines this for
functions which it implements
to always fail with ENOSYS. Some functions are actually
named
something starting with __ and the normal name is an alias.
*/ #if defined (__stub_gethostbyname) || defined (__stub___geth-
ostbyname) choke me #else char (*f) () = gethostbyname; #endif
#ifdef __cplusplus } #endif
int main () { return f != gethostbyname;
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_gethostbyname=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_func_gethostbyname=no fi rm -f conftest.$ac_objext con-
ftest$ac_exeext conftest.$ac_ext fi echo "$as_me:$LINENO: result:
$ac_cv_func_gethostbyname" >&5 echo "${ECHO_T}$ac_cv_func_geth-
ostbyname" >&6
if test $ac_cv_func_gethostbyname = no; then
echo "$as_me:$LINENO: checking for gethostbyname in -lnsl"
>&5 echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C"
>&6 if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_check_lib_save_LIBS=$LIBS LIBS="-lnsl $LIBS" cat >con-
ftest.$ac_ext <<_ACEOF #line $LINENO "configure" /* confdefs.h.
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_nsl_gethostbyname=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_nsl_gethostbyname=no fi rm -f conftest.$ac_objext con-
ftest$ac_exeext conftest.$ac_ext LIBS=$ac_check_lib_save_LIBS fi
echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostbyname" >&5
echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6 if test
$ac_cv_lib_nsl_gethostbyname = yes; then
X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl" fi
if test $ac_cv_lib_nsl_gethostbyname = no; then
echo "$as_me:$LINENO: checking for gethostbyname in -lb-
sd" >&5 echo $ECHO_N "checking for gethostbyname in -lbsd...
$ECHO_C" >&6 if test "${ac_cv_lib_bsd_gethostbyname+set}" = set;
then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_check_lib_save_LIBS=$LIBS LIBS="-lbsd $LIBS" cat >con-
ftest.$ac_ext <<_ACEOF #line $LINENO "configure" /* confdefs.h.
*/ _ACEOF cat confdefs.h >>conftest.$ac_ext cat >>con-
ftest.$ac_ext <<_ACEOF /* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char gethostbyname (); int main () { gethostbyname ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_bsd_gethostbyname=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_bsd_gethostbyname=no fi rm -f conftest.$ac_objext con-
# on later versions), says Simon Leinen: it contains gethost-
by*
# variants that don't use the name server (or something).
-lsocket
# must be given before -lnsl if both are needed. We assume
that
# if connect needs -lnsl, so does gethostbyname.
echo "$as_me:$LINENO: checking for connect" >&5 echo $ECHO_N
"checking for connect... $ECHO_C" >&6 if test "${ac_cv_func_con-
nect+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ /* System
header to define __stub macros and hopefully few prototypes,
which can conflict with char connect (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */ #ifdef
__STDC__ # include <limits.h> #else # include <assert.h> #endif
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" { #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char connect (); /* The GNU C library defines this for functions
which it implements
to always fail with ENOSYS. Some functions are actually
named
something starting with __ and the normal name is an alias.
*/ #if defined (__stub_connect) || defined (__stub___connect)
choke me #else char (*f) () = connect; #endif #ifdef __cplusplus
} #endif
int main () { return f != connect;
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_connect=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_func_connect=no fi rm -f conftest.$ac_objext con-
ftest$ac_exeext conftest.$ac_ext fi echo "$as_me:$LINENO: result:
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char connect (); int main () { connect ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_socket_connect=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_socket_connect=no fi rm -f conftest.$ac_objext con-
ftest$ac_exeext conftest.$ac_ext LIBS=$ac_check_lib_save_LIBS fi
echo "$as_me:$LINENO: result: $ac_cv_lib_socket_connect" >&5 echo
"${ECHO_T}$ac_cv_lib_socket_connect" >&6 if test $ac_cv_lib_sock-
et_connect = yes; then
X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS" fi
fi
# Guillermo Gomez says -lposix is necessary on A/UX.
echo "$as_me:$LINENO: checking for remove" >&5 echo $ECHO_N
"checking for remove... $ECHO_C" >&6 if test "${ac_cv_func_re-
move+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ /* System
header to define __stub macros and hopefully few prototypes,
which can conflict with char remove (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */ #ifdef
__STDC__ # include <limits.h> #else # include <assert.h> #endif
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" { #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char remove (); /* The GNU C library defines this for functions
which it implements
to always fail with ENOSYS. Some functions are actually
named
something starting with __ and the normal name is an alias.
*/ #if defined (__stub_remove) || defined (__stub___remove) choke
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_remove=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_func_remove=no fi rm -f conftest.$ac_objext conftest$ac_ex-
eext conftest.$ac_ext fi echo "$as_me:$LINENO: result:
$ac_cv_func_remove" >&5 echo "${ECHO_T}$ac_cv_func_remove" >&6
if test $ac_cv_func_remove = no; then
echo "$as_me:$LINENO: checking for remove in -lposix" >&5
echo $ECHO_N "checking for remove in -lposix... $ECHO_C" >&6 if
test "${ac_cv_lib_posix_remove+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_check_lib_save_LIBS=$LIBS LIBS="-lposix $LIBS" cat >con-
ftest.$ac_ext <<_ACEOF #line $LINENO "configure" /* confdefs.h.
*/ _ACEOF cat confdefs.h >>conftest.$ac_ext cat >>con-
ftest.$ac_ext <<_ACEOF /* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char remove (); int main () { remove ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_posix_remove=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_posix_remove=no fi rm -f conftest.$ac_objext con-
ftest$ac_exeext conftest.$ac_ext LIBS=$ac_check_lib_save_LIBS fi
echo "$as_me:$LINENO: result: $ac_cv_lib_posix_remove" >&5 echo
"${ECHO_T}$ac_cv_lib_posix_remove" >&6 if test
$ac_cv_lib_posix_remove = yes; then
X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix" fi
fi
#ifdef __cplusplus extern "C" { #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char shmat (); /* The GNU C library defines this for functions
which it implements
to always fail with ENOSYS. Some functions are actually
named
something starting with __ and the normal name is an alias.
*/ #if defined (__stub_shmat) || defined (__stub___shmat) choke
me #else char (*f) () = shmat; #endif #ifdef __cplusplus } #endif
int main () { return f != shmat;
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_shmat=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_func_shmat=no fi rm -f conftest.$ac_objext conftest$ac_exe-
ext conftest.$ac_ext fi echo "$as_me:$LINENO: result:
$ac_cv_func_shmat" >&5 echo "${ECHO_T}$ac_cv_func_shmat" >&6
if test $ac_cv_func_shmat = no; then
echo "$as_me:$LINENO: checking for shmat in -lipc" >&5 echo
$ECHO_N "checking for shmat in -lipc... $ECHO_C" >&6 if test
"${ac_cv_lib_ipc_shmat+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_check_lib_save_LIBS=$LIBS LIBS="-lipc $LIBS" cat >con-
ftest.$ac_ext <<_ACEOF #line $LINENO "configure" /* confdefs.h.
*/ _ACEOF cat confdefs.h >>conftest.$ac_ext cat >>con-
ftest.$ac_ext <<_ACEOF /* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char shmat (); int main () { shmat ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ftest$ac_exeext conftest.$ac_ext LIBS=$ac_check_lib_save_LIBS fi
echo "$as_me:$LINENO: result: $ac_cv_lib_ipc_shmat" >&5 echo
"${ECHO_T}$ac_cv_lib_ipc_shmat" >&6 if test $ac_cv_lib_ipc_shmat
= yes; then
X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc" fi
fi
fi
# Check for libraries that X11R6 Xt/Xaw programs need.
ac_save_LDFLAGS=$LDFLAGS
test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
# SM needs ICE to (dynamically) link under SunOS 4.x (so we
have to
# check for ICE first), but we must link in the order -lSM
-lICE or
# we get undefined symbols. So assume we have SM if we have
ICE.
# These have to be linked with before -lX11, unlike the other
# libraries we check for below, so use a different variable.
# John Interrante, Karl Berry
echo "$as_me:$LINENO: checking for IceConnectionNumber in
-lICE" >&5 echo $ECHO_N "checking for IceConnectionNumber in
-lICE... $ECHO_C" >&6 if test "${ac_cv_lib_ICE_IceConnectionNum-
ber+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_check_lib_save_LIBS=$LIBS LIBS="-lICE $X_EXTRA_LIBS $LIBS"
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char IceConnectionNumber (); int main () { IceConnectionNumber
();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_ICE_IceConnectionNumber=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
X_LIBRARY_PATH=$x_libraries
XCFLAGS="$X_CFLAGS"
XLFLAGS="$X_LIBS"
XLIBS="-lX11 $X_EXTRA_LIBS"
lib_search_path="$lib_search_path $XLFLAGS -L/usr/local/lib"
inc_search_path="$inc_search_path $XCFLAGS -I/usr/local/include"
echo "$as_me:$LINENO: checking for XShapeCombineMask in -lXext"
>&5 echo $ECHO_N "checking for XShapeCombineMask in -lXext...
$ECHO_C" >&6 if test "${ac_cv_lib_Xext_XShapeCombineMask+set}" =
set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
ac_check_lib_save_LIBS=$LIBS LIBS="-lXext $X_LIBS $X_EXTRA_LIBS
-lX11 $LIBS" cat >conftest.$ac_ext <<_ACEOF #line $LINENO "con-
figure" /* confdefs.h. */ _ACEOF cat confdefs.h >>con-
ftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end confdefs.h.
*/
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char XShapeCombineMask (); int main () { XShapeCombineMask ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_Xext_XShapeCombineMask=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_Xext_XShapeCombineMask=no fi rm -f conftest.$ac_objext
conftest$ac_exeext conftest.$ac_ext LIBS=$ac_check_lib_save_LIBS
fi echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_XShapeCombine-
Mask" >&5 echo "${ECHO_T}$ac_cv_lib_Xext_XShapeCombineMask" >&6
if test $ac_cv_lib_Xext_XShapeCombineMask = yes; then
XLIBS="$XLIBS -lXext" else
*/
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char XpmCreatePixmapFromData (); int main () { XpmCre-
atePixmapFromData ();
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_Xpm_XpmCreatePixmapFromData=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_lib_Xpm_XpmCreatePixmapFromData=no fi rm -f con-
ftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS fi echo "$as_me:$LINENO: result:
$ac_cv_lib_Xpm_XpmCreatePixmapFromData" >&5 echo
"${ECHO_T}$ac_cv_lib_Xpm_XpmCreatePixmapFromData" >&6 if test
$ac_cv_lib_Xpm_XpmCreatePixmapFromData = yes; then
XLIBS="$XLIBS -lXpm" else
echo "The libXpm library was not found, but is necessary to
build this library"
exit 1 fi
# Check whether --enable-debug or --disable-debug was given. if
test "${enable_debug+set}" = set; then
enableval="$enable_debug"
else
enable_debug=no fi; if test "$enable_debug" = yes; then
DFLAGS="-Wall -g -ansi -pedantic"
OS=freebsd
ignore_wired=yes
ignore_cached=yes
LIBS="$LIBS -lkvm"
SETGID_FLAGS="-g kmem -m 2755 -o root"
;; openbsd*)
OS=openbsd
;; solaris*)
OS=solaris
;; *)
echo ""
echo "Sorry, ${host_os} is not supported yet"
echo ""
exit 1
;; esac
if test "$ignore_buffers" = yes; then
cat >>confdefs.h <<_ACEOF @%:@define IGNORE_BUFFERS 1 _ACEOF
fi if test "$ignore_cached" = yes; then
cat >>confdefs.h <<_ACEOF @%:@define IGNORE_CACHED 1 _ACEOF
fi if test "$ignore_wired" = yes; then
cat >>confdefs.h <<_ACEOF @%:@define IGNORE_WIRED 1 _ACEOF
fi
LIBRARY_SEARCH_PATH="$lib_search_path" HEAD-
ER_SEARCH_PATH="$inc_search_path"
echo "$as_me:$LINENO: checking for egrep" >&5 echo $ECHO_N
"checking for egrep... $ECHO_C" >&6 if test
"${ac_cv_prog_egrep+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if echo a | (grep -E '(a|b)') >/dev/null 2>&1
then ac_cv_prog_egrep='grep -E'
else ac_cv_prog_egrep='egrep'
fi fi echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
echo "${ECHO_T}$ac_cv_prog_egrep" >&6
EGREP=$ac_cv_prog_egrep
;
return 0; } _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_header_stdc=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_header_stdc=no fi rm -f conftest.$ac_objext con-
ftest.$ac_ext
if test $ac_cv_header_stdc = yes; then
# SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ #include
exit(2);
exit (0); } _ACEOF rm -f conftest$ac_exeext if { (eval echo
"$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
: else
echo "$as_me: program exited with status $ac_status" >&5 echo
"$as_me: failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext
>&5
( exit $ac_status ) ac_cv_header_stdc=no fi rm -f core core.*
*.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext
conftest.$ac_ext fi fi fi echo "$as_me:$LINENO: result:
$ac_cv_header_stdc" >&5 echo "${ECHO_T}$ac_cv_header_stdc" >&6 if
test $ac_cv_header_stdc = yes; then
cat >>confdefs.h <<_ACEOF @%:@define STDC_HEADERS 1 _ACEOF
fi
# On IRIX 5.3, sys/types and inttypes.h are conflicting.
for ac_header in sys/types.h sys/stat.h stdlib.h string.h memo-
ry.h strings.h inttypes.h stdint.h unistd.h do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` echo
"$as_me:$LINENO: checking for $ac_header" >&5 echo $ECHO_N
"checking for $ac_header... $ECHO_C" >&6 if eval "test
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ $ac_in-
cludes_default
@%:@include <$ac_header> _ACEOF rm -f conftest.$ac_objext if {
eval "$as_ac_Header=no" fi rm -f conftest.$ac_objext con-
ftest.$ac_ext fi echo "$as_me:$LINENO: result: `eval echo
'${'$as_ac_Header'}'`" >&5 echo "${ECHO_T}`eval echo
'${'$as_ac_Header'}'`" >&6 if test `eval echo '${'$as_ac_Head-
er'}'` = yes; then
cat >>confdefs.h <<_ACEOF @%:@define `echo "HAVE_$ac_header" |
$as_tr_cpp` 1 _ACEOF
fi
done
for ac_header in fcntl.h memory.h stddef.h stdlib.h string.h
strings.h sys/param.h sys/time.h unistd.h do as_ac_Header=`echo
"ac_cv_header_$ac_header" | $as_tr_sh` if eval "test
echo "$as_me:$LINENO: checking for $ac_header" >&5 echo $ECHO_N
"checking for $ac_header... $ECHO_C" >&6 if eval "test
echo $ECHO_N "(cached) $ECHO_C" >&6 fi echo "$as_me:$LINENO:
result: `eval echo '${'$as_ac_Header'}'`" >&5 echo
"${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 else
# Is the header compilable? echo "$as_me:$LINENO: checking
$ac_header usability" >&5 echo $ECHO_N "checking $ac_header us-
ability... $ECHO_C" >&6 cat >conftest.$ac_ext <<_ACEOF #line
$LINENO "configure" /* confdefs.h. */ _ACEOF cat confdefs.h
>>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end
confdefs.h. */ $ac_includes_default @%:@include <$ac_header>
_ACEOF rm -f conftest.$ac_objext if { (eval echo "$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_header_compiler=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi else
ac_cpp_err=yes fi if test -z "$ac_cpp_err"; then
ac_header_preproc=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_header_preproc=no fi rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 echo
"${ECHO_T}$ac_header_preproc" >&6
# So? What about this header? case $ac_header_compil-
er:$ac_header_preproc in
yes:no )
{ echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the
compiler, rejected by the preprocessor!" >&5 echo "$as_me: WARN-
ING: $ac_header: accepted by the compiler, rejected by the pre-
processor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with
the preprocessor's result" >&5 echo "$as_me: WARNING: $ac_header:
proceeding with the preprocessor's result" >&2;}
(
cat <<_ASBOX @%:@@%:@ ------------------------------------
@%:@@%:@ @%:@@%:@ Report this to bug-autoconf@gnu.org. @%:@@%:@
@%:@@%:@ ------------------------------------ @%:@@%:@ _ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
no:yes )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but can-
not be compiled" >&5 echo "$as_me: WARNING: $ac_header: present
but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for miss-
ing prerequisite headers?" >&5 echo "$as_me: WARNING: $ac_header:
check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with
the preprocessor's result" >&5 echo "$as_me: WARNING: $ac_header:
proceeding with the preprocessor's result" >&2;}
(
cat <<_ASBOX @%:@@%:@ ------------------------------------
@%:@@%:@ @%:@@%:@ Report this to bug-autoconf@gnu.org. @%:@@%:@
@%:@@%:@ ------------------------------------ @%:@@%:@ _ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;; esac echo "$as_me:$LINENO: checking for $ac_header" >&5
echo "$as_me:$LINENO: checking for an ANSI C-conforming const"
>&5 echo $ECHO_N "checking for an ANSI C-conforming const...
$ECHO_C" >&6 if test "${ac_cv_c_const+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */
int main () { /* FIXME: Include the comments suggested by Paul.
*/ #ifndef __cplusplus
/* Ultrix mips cc rejects this. */
typedef int charset[2];
const charset x;
/* SunOS 4.1.1 cc rejects this. */
char const *const *ccp;
char **p;
/* NEC SVR4.0.2 mips cc rejects this. */
struct point {int x, y;};
static struct point const zero = {0,0};
/* AIX XL C 1.02.0.0 rejects this.
It does not let you subtract one const X* pointer from an-
other in
an arm of an if-expression whose if-part is not a constant
expression */
const char *g = "string";
ccp = &g + (g ? g-g : 0);
/* HPUX 7.0 cc rejects these. */
++ccp;
p = (char**) ccp;
ccp = (char const *const *) p;
{ /* SCO 3.2v4 cc rejects this. */
char *t;
char const *s = 0 ? (char *) 0 : (char const *) 0;
*t++ = 0;
}
{ /* Someone thinks the Sun supposedly-ANSI compiler will re-
ject this. */
int x[] = {25, 17};
const int *foo = &x[0];
++foo;
}
{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above.
*/
typedef const int *iptr;
iptr p = 0;
++p;
}
{ /* AIX XL C 1.02.0.0 rejects this saying
"k.c", line 2.27: 1506-025 (S) Operand must be a modifi-
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_c_const=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_c_const=no fi rm -f conftest.$ac_objext conftest.$ac_ext fi
echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5 echo
"${ECHO_T}$ac_cv_c_const" >&6 if test $ac_cv_c_const = no; then
cat >>confdefs.h <<_ACEOF @%:@define const _ACEOF
fi
echo "$as_me:$LINENO: checking for size_t" >&5 echo $ECHO_N
"checking for size_t... $ECHO_C" >&6 if test
"${ac_cv_type_size_t+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ $ac_in-
cludes_default int main () { if ((size_t *) 0)
return 0; if (sizeof (size_t))
return 0;
;
return 0; } _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_type_size_t=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_type_size_t=no fi rm -f conftest.$ac_objext con-
ftest.$ac_ext fi echo "$as_me:$LINENO: result:
$ac_cv_type_size_t" >&5 echo "${ECHO_T}$ac_cv_type_size_t" >&6 if
test $ac_cv_type_size_t = yes; then
: else
int main () { if ((struct tm *) 0) return 0;
;
return 0; } _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_header_time=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_cv_header_time=no fi rm -f conftest.$ac_objext con-
ftest.$ac_ext fi echo "$as_me:$LINENO: result: $ac_cv_head-
er_time" >&5 echo "${ECHO_T}$ac_cv_header_time" >&6 if test
$ac_cv_header_time = yes; then
cat >>confdefs.h <<_ACEOF @%:@define TIME_WITH_SYS_TIME 1 _ACEOF
fi
for ac_header in stdlib.h do as_ac_Header=`echo "ac_cv_head-
er_$ac_header" | $as_tr_sh` if eval "test
echo "$as_me:$LINENO: checking for $ac_header" >&5 echo $ECHO_N
"checking for $ac_header... $ECHO_C" >&6 if eval "test
echo $ECHO_N "(cached) $ECHO_C" >&6 fi echo "$as_me:$LINENO:
result: `eval echo '${'$as_ac_Header'}'`" >&5 echo
"${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 else
# Is the header compilable? echo "$as_me:$LINENO: checking
$ac_header usability" >&5 echo $ECHO_N "checking $ac_header us-
ability... $ECHO_C" >&6 cat >conftest.$ac_ext <<_ACEOF #line
$LINENO "configure" /* confdefs.h. */ _ACEOF cat confdefs.h
>>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end
confdefs.h. */ $ac_includes_default @%:@include <$ac_header>
_ACEOF rm -f conftest.$ac_objext if { (eval echo "$as_me:$LINENO:
(eval $ac_compile) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest.$ac_objext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
*/ @%:@include <$ac_header> _ACEOF if { (eval echo
"$as_me:$LINENO:
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } >/dev/null; then
if test -s conftest.err; then
ac_cpp_err=$ac_c_preproc_warn_flag
else
ac_cpp_err=
fi else
ac_cpp_err=yes fi if test -z "$ac_cpp_err"; then
ac_header_preproc=yes else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
ac_header_preproc=no fi rm -f conftest.err conftest.$ac_ext
echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 echo
"${ECHO_T}$ac_header_preproc" >&6
# So? What about this header? case $ac_header_compil-
er:$ac_header_preproc in
yes:no )
{ echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the
compiler, rejected by the preprocessor!" >&5 echo "$as_me: WARN-
ING: $ac_header: accepted by the compiler, rejected by the pre-
processor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with
the preprocessor's result" >&5 echo "$as_me: WARNING: $ac_header:
proceeding with the preprocessor's result" >&2;}
(
cat <<_ASBOX @%:@@%:@ ------------------------------------
@%:@@%:@ @%:@@%:@ Report this to bug-autoconf@gnu.org. @%:@@%:@
@%:@@%:@ ------------------------------------ @%:@@%:@ _ASBOX
) |
sed "s/^/$as_me: WARNING: /" >&2
;;
no:yes )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but can-
not be compiled" >&5 echo "$as_me: WARNING: $ac_header: present
but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for miss-
ing prerequisite headers?" >&5 echo "$as_me: WARNING: $ac_header:
check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with
the preprocessor's result" >&5 echo "$as_me: WARNING: $ac_header:
proceeding with the preprocessor's result" >&2;}
(
cat <<_ASBOX @%:@@%:@ ------------------------------------
$as_tr_cpp` 1 _ACEOF
fi
done
echo "$as_me:$LINENO: checking for GNU libc compatible malloc"
>&5 echo $ECHO_N "checking for GNU libc compatible malloc...
$ECHO_C" >&6 if test "${ac_cv_func_malloc_0_nonnull+set}" = set;
then
echo $ECHO_N "(cached) $ECHO_C" >&6 else
if test "$cross_compiling" = yes; then
ac_cv_func_malloc_0_nonnull=no else
cat >conftest.$ac_ext <<_ACEOF #line $LINENO "configure" /*
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ #if STDC_HEAD-
ERS || HAVE_STDLIB_H # include <stdlib.h> #else char *malloc ();
#endif
int main () { exit (malloc (0) ? 0 : 1);
;
return 0; } _ACEOF rm -f conftest$ac_exeext if { (eval echo
"$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_func_malloc_0_nonnull=yes else
echo "$as_me: program exited with status $ac_status" >&5 echo
"$as_me: failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext
>&5
( exit $ac_status ) ac_cv_func_malloc_0_nonnull=no fi rm -f core
core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_ob-
jext conftest.$ac_ext fi fi echo "$as_me:$LINENO: result:
$ac_cv_func_malloc_0_nonnull" >&5 echo "${ECHO_T}$ac_cv_func_mal-
loc_0_nonnull" >&6 if test $ac_cv_func_malloc_0_nonnull = yes;
then
cat >>confdefs.h <<_ACEOF @%:@define HAVE_MALLOC 1 _ACEOF
else
cat >>confdefs.h <<_ACEOF @%:@define HAVE_MALLOC 0 _ACEOF
LIB@&t@OBJS="$LIB@&t@OBJS malloc.$ac_objext"
cat >>confdefs.h <<_ACEOF @%:@define malloc rpl_malloc _ACEOF
confdefs.h. */ _ACEOF cat confdefs.h >>conftest.$ac_ext cat
>>conftest.$ac_ext <<_ACEOF /* end confdefs.h. */ /* System
header to define __stub macros and hopefully few prototypes,
which can conflict with char $ac_func (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */ #ifdef
__STDC__ # include <limits.h> #else # include <assert.h> #endif
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus extern "C" { #endif /* We use char because int
might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char $ac_func (); /* The GNU C library defines this for functions
which it implements
to always fail with ENOSYS. Some functions are actually
named
something starting with __ and the normal name is an alias.
*/ #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me #else char (*f) () = $ac_func; #endif #ifdef __cplusplus
} #endif
int main () { return f != $ac_func;
;
return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO:
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: = $ac_status" >&5
(exit $ac_status); }; }; then
eval "$as_ac_var=yes" else
echo "$as_me: failed program was:" >&5 sed 's/^/| /' con-
ftest.$ac_ext >&5
eval "$as_ac_var=no" fi rm -f conftest.$ac_objext conftest$ac_ex-
eext conftest.$ac_ext fi echo "$as_me:$LINENO: result: `eval echo
'${'$as_ac_var'}'`" >&5 echo "${ECHO_T}`eval echo
'${'$as_ac_var'}'`" >&6 if test `eval echo '${'$as_ac_var'}'` =
yes; then
cat >>confdefs.h <<_ACEOF @%:@define `echo "HAVE_$ac_func" |
$as_tr_cpp` 1 _ACEOF
fi done
ac_config_files="$ac_config_files
Makefile src/Makefile doc/Makefile"
# The following way of writing the cache mishandles newlines in
values, # but we know of no workaround that is simple, portable,
and efficient. # So, don't put newlines in cache variables' val-
ues. # Ultrix sh set writes to stderr and can't be redirected
directly, # and sets the high bit in the cache file unless we as-
sign to the vars. {
(set) 2>&1 |
case `(ac_space=' '; set | grep ac_space) 2>&1` in
*ac_space= *)
# `set' does not quote correctly, so add quotes (double-
quote
# substitution turns \\ into \, and sed turns \ into .
sed -n "s/'/'\\''/g;
s/^\([_$as_cr_alnum]*_cv_[_$as_cr_al-
num]*\)=\(.*\)/\1='\2'/p"
;;
*)
# `set' quotes correctly as required by POSIX, so do not
add quotes.
sed -n "s/^\([_$as_cr_alnum]*_cv_[_$as_cr_al-
num]*\)=\(.*\)/\1=\2/p"
;;
esac; } |
sed '
t clear
: clear
s/^=]*=[{}].*$/test "${1+set}" = set || &/
t end
/^ac_cv_env/!s/^=]*=$/1=${1=2}/
: end' >>confcache if diff $cache_file confcache >/dev/null
2>&1; then :; else
if test -w $cache_file; then
test "x$cache_file" != "x/dev/null" && echo "updating cache
$cache_file"
cat confcache >$cache_file
else
echo "not updating unwritable cache $cache_file"
fi fi rm -f confcache
test "x$prefix" = xNONE && prefix=$ac_default_prefix # Let make
expand exec_prefix. test "x$exec_prefix" = xNONE && exec_pre-
fix='${prefix}'
# VPATH may cause trouble with some makes, so we remove $(sr-
cdir), # ${srcdir} and @srcdir@ from VPATH if srcdir is ".",
strip leading and # trailing colons and then remove the whole
line if VPATH becomes empty # (actually we leave an empty line to
preserve line numbers). if test "x$srcdir" = x.; then
ac_vpsub='/^[ ]*VPATH[ ]*=/{ s/:*cdir):*/:/;
s/:*srcdir}:*/:/; s/:*@srcdir@:*/:/; s/^=]*=[ ]*:*/1/;
s/:*$//; s/^[^=]*=[ ]*$//; }' fi
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS" { echo
"$as_me:$LINENO: creating $CONFIG_STATUS" >&5 echo "$as_me: cre-
ating $CONFIG_STATUS" >&6;} cat >$CONFIG_STATUS <<_ACEOF #!
$SHELL # Generated by $as_me. # Run this file to recreate the
current configuration. # Compiler output produced by configure,
useful for debugging # configure, is in config.log if it exists.
debug=false ac_cs_recheck=false ac_cs_silent=false SHELL=CON-
FIG_SHELL-$SHELL} _ACEOF
cat >>$CONFIG_STATUS <<_ACEOF ## --------------------- ## ## M4sh
Initialization. ## ## --------------------- ##
# Be Bourne compatible if test -n "${ZSH_VERSION+set}" && (emu-
late sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
# Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
# is contrary to our usage. Disable this feature.
alias -g '${1+"$@"}'='"$@"' elif test -n "${BASH_VERSION+set}"
&& (set -o posix) >/dev/null 2>&1; then
set -o posix fi
# Support unset when possible. if (FOO=FOO; unset FOO)
>/dev/null 2>&1; then
as_unset=unset else
as_unset=false fi
# Work around bugs in pre-3.0 UWIN ksh. $as_unset ENV MAIL MAIL-
PATH PS1='$ ' PS2='> ' PS4='+ '
# NLS nuisances. for as_var in LANG LANGUAGE LC_ADDRESS LC_ALL
LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MES-
SAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE
LC_TIME do
if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`");
then
eval $as_var=C; export $as_var
else
$as_unset $as_var
fi done
# Required to use basename. if expr a : '' >/dev/null 2>&1; then
as_expr=expr else
as_expr=false fi
# PATH needs CR, and LINENO needs CR and PATH. # Avoid depending
upon Character Ranges. as_cr_letters='abcdefghijklmnopqrstu-
vwxyz' as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ' as_cr_Let-
ters=$as_cr_letters$as_cr_LETTERS as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits
# The user is always right. if test "${PATH_SEPARATOR+set}" !=
set; then
echo "#! /bin/sh" >conf$$.sh
echo "exit 0" >>conf$$.sh
chmod +x conf$$.sh
if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
PATH_SEPARATOR=';'
else
PATH_SEPARATOR=:
fi
rm -f conf$$.sh fi
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" || {
# Find who we are. Look in the path if we contain no path at
all
# relative or not.
case $0 in
*[\/]* ) as_myself=$0 ;;
*) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break done
;;
esac
# We did not find ourselves, most probably we were run as `sh
COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
as_myself=$0
fi
if test ! -f "$as_myself"; then
{ { echo "$as_me:$LINENO: error: cannot find myself; rerun
with an absolute path" >&5 echo "$as_me: error: cannot find my-
self; rerun with an absolute path" >&2;}
{ (exit 1); exit 1; }; }
fi
case $CONFIG_SHELL in
'')
CONFIG_SHELL=$as_dir/$as_base export CONFIG_SHELL
exec "$CONFIG_SHELL" "$0" ${1+"$@"} fi;;
esac
done done ;;
esac
# Create $as_me.lineno as a copy of $as_myself, but with
$LINENO
# uniformly replaced by the line number. The first 'sed' in-
serts a
# line-number line before each line; the second 'sed' does the
real
# work. The second script uses 'N' to pair each line-number
line
# with the numbered line, and appends trailing '-' during
# substitution so that $LINENO is not a special case at line
end.
# (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
# second 'sed' script. Blame Lee E. McMahon for sed's syntax.
:-)
sed '=' <$as_myself |
sed '
N
s,$,-,
: loop
s,^$as_cr_digits']*[$]LINENO'$as_cr_alnum'_],1213,
t loop
s,-$,,
s,^['$as_cr_digits']*0,
' >$as_me.lineno &&
chmod +x $as_me.lineno ||
{ { echo "$as_me:$LINENO: error: cannot create $as_me.lineno;
rerun with a POSIX shell" >&5 echo "$as_me: error: cannot create
$as_me.lineno; rerun with a POSIX shell" >&2;}
{ (exit 1); exit 1; }; }
# Don't try to exec as it changes $[0], causing all sort of
problems
# (the dirname of $[0] is not the place where we might find the
# original and so on. Autoconf is especially sensible to
this).
. ./$as_me.lineno
# Exit status is that of the last command.
exit }
case `echo "testing *c*,-n*) ECHO_N= ECHO_C='
*c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
*) ECHO_N= ECHO_C='esac
if expr a : '' >/dev/null 2>&1; then
as_expr=expr else
as_ln_s=ln else
as_ln_s='cp -p' fi rm -f conf$$ conf$$.exe conf$$.file
if mkdir -p . 2>/dev/null; then
as_mkdir_p=: else
as_mkdir_p=false fi
as_executable_p="test -f"
# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_al-
num]%_%g"
# Sed expression to map a string onto a valid variable name.
as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
# IFS # We need space, tab and new line, in precisely that order.
as_nl=' IFS=" $as_nl"
# CDPATH. $as_unset CDPATH
exec 6>&1
# Open the log real soon, to keep and so on meaningful, and to #
report actual input values of CONFIG_FILES etc. instead of their
# values after options handling. Logging --version etc. is OK.
exec 5>>config.log {
echo
sed 'h;s/./-/g;s/^.../@%:@@%:@ /;s/...$/ @%:@@%:@/;p;x;p;x'
<<_ASBOX @%:@@%:@ Running $as_me. @%:@@%:@ _ASBOX } >&5 cat >&5
<<_CSEOF
This file was extended by wmmemload $as_me 0.1.5, which was gen-
erated by GNU Autoconf 2.57. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
CONFIG_HEADERS = $CONFIG_HEADERS
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
$ $0 $@
_CSEOF echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`"
>&5 echo >&5 _ACEOF
# Files that config.status was made for. if test -n "$ac_con-
fig_files"; then
echo "config_files= fi
if test -n "$ac_config_headers"; then
echo "config_headers= fi
-V, --version print version number, then exit
-q, --quiet do not print progress messages
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same
conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
--header=FILE[:TEMPLATE]
instantiate the configuration header FILE
Configuration files: $config_files
Configuration headers: $config_headers
Configuration commands: $config_commands
Report bugs to <bug-autoconf@gnu.org>." _ACEOF
cat >>$CONFIG_STATUS <<_ACEOF ac_cs_version="\ wmmemload con-
fig.status 0.1.5 configured by $0, generated by GNU Autoconf
2.57,
with options \"`echo "$ac_configure_args" | sed
's/[\""`/\\&/g'`\"
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc. This config.status script is free
software; the Free Software Foundation gives unlimited permission
to copy, distribute and modify it." srcdir=$srcdir INSTALL="$IN-
STALL" _ACEOF
cat >>$CONFIG_STATUS <<_ACEOF # If no file are specified by the
user, then we need to provide default # value. By we need to
know if files were specified by the user. ac_need_defaults=:
while test $# != 0 do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x=]*='`
ac_optarg=`expr "x$1" : 'x[^=]*='`
ac_shift=:
;;
-*)
ac_option=$1
ac_optarg=$2
ac_shift=shift
;;
*) # This is not an option, so the user has probably given ex-
plicit
# arguments.
ac_option=$1
ac_need_defaults=false;;
esac
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
$ac_shift
CONFIG_FILES="$CONFIG_FILES $ac_optarg"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
$ac_shift
CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
ac_need_defaults=false;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q | -silent
| --silent | --silen | --sile | --sil | --si | --s)
ac_cs_silent=: ;;
# This is an error.
-*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
Try `$0 --help' for more information." >&5 echo "$as_me: error:
unrecognized option: $1 Try `$0 --help' for more information."
>&2;}
{ (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;;
esac
shift done
ac_configure_extra_args=
if $ac_cs_silent; then
exec 6>/dev/null
ac_configure_extra_args="$ac_configure_extra_args --silent" fi
_ACEOF cat >>$CONFIG_STATUS <<_ACEOF if c_cs_recheck; then
echo "running $SHELL $0 " $ac_configure_args c_configure_ex-
tra_args " --no-create --no-recursion" >&6
exec $SHELL $0 $ac_configure_args c_configure_extra_args --no-
create --no-recursion fi
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF # # INIT-COMMANDS section. #
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF for ac_config_target in $ac_con-
fig_targets do
instantiate, # then the envvar interface is used. Set only those
that are not. # We use the long form for the default assignment
because of an extremely # bizarre bug on SunOS 4.1.3. if
$ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$con-
fig_headers
test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$con-
fig_commands fi
# Have a temporary directory for convenience. Make it in the
build tree # simply because there is no reason to put it here,
and in addition, # creating and moving files from /tmp can some-
times cause problems. # Create a temporary directory, and hook
for its removal unless debugging. $debug || {
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15 }
# Create a (secure) tmp directory for tmp files.
{
tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX")
2>/dev/null` &&
test -n "$tmp" && test -d "$tmp" } || {
tmp=./confstat$$-$RANDOM
(umask 077 && mkdir $tmp) } || {
echo "$me: cannot create a temporary directory in ." >&2
{ (exit 1); exit 1; } }
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
# # CONFIG_FILES section. #
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h if test
-n "ONFIG_FILES"; then
# Protect against being on the right side of a sed subst in
config.status.
sed 's/,@/@@/; s/@,/@@/; s/,;t t@;t t/; /@;t ts/[\\&,]/\\&/g;
s/@@/,@/; s/@@/@,/; s/@;t t,;t t/' >mp/subs.sed <<\CEOF
s,@SHELL@,$SHELL,;t t s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t s,@PACKAGE_TARNAME@,$PACK-
AGE_TARNAME,;t t s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t s,@PACKAGE_BUGRE-
PORT@,$PACKAGE_BUGREPORT,;t t s,@exec_prefix@,$exec_prefix,;t t
s,@prefix@,$prefix,;t t s,@program_transform_name@,$pro-
gram_transform_name,;t t s,@bindir@,$bindir,;t t
s,@sbindir@,$sbindir,;t t s,@libexecdir@,$libexecdir,;t t
s,@datadir@,$datadir,;t t s,@sysconfdir@,$sysconfdir,;t t
s,@sharedstatedir@,$sharedstatedir,;t t s,@localstatedir@,$local-
TA@,$INSTALL_DATA,;t t s,@PACKAGE@,$PACKAGE,;t t s,@VER-
SION@,$VERSION,;t t s,@ACLOCAL@,$ACLOCAL,;t t s,@AUTOCONF@,$AUTO-
CONF,;t t s,@AUTOMAKE@,$AUTOMAKE,;t t s,@AUTOHEADER@,$AUTOHEAD-
ER,;t t s,@MAKEINFO@,$MAKEINFO,;t t s,@SET_MAKE@,$SET_MAKE,;t t
s,@AWK@,$AWK,;t t s,@CC@,$CC,;t t s,@CFLAGS@,$CFLAGS,;t t s,@LD-
FLAGS@,$LDFLAGS,;t t s,@CPPFLAGS@,$CPPFLAGS,;t t
s,@ac_ct_CC@,$ac_ct_CC,;t t s,@EXEEXT@,$EXEEXT,;t t s,@OB-
JEXT@,$OBJEXT,;t t s,@LN_S@,$LN_S,;t t s,@CPP@,$CPP,;t t
s,@X_CFLAGS@,$X_CFLAGS,;t t s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
s,@X_LIBS@,$X_LIBS,;t t s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
s,@X_LIBRARY_PATH@,$X_LIBRARY_PATH,;t t s,@XCFLAGS@,$XCFLAGS,;t t
s,@XLFLAGS@,$XLFLAGS,;t t s,@XLIBS@,$XLIBS,;t t
s,@DFLAGS@,$DFLAGS,;t t s,@OS@,$OS,;t t s,@SETGID_FLAGS@,$SET-
GID_FLAGS,;t t s,@LIBRARY_SEARCH_PATH@,$LIBRARY_SEARCH_PATH,;t t
s,@HEADER_SEARCH_PATH@,$HEADER_SEARCH_PATH,;t t
s,@EGREP@,$EGREP,;t t s,@LIB@&t@OBJS@,$LIB@&t@OBJS,;t t s,@LTLI-
BOBJS@,$LTLIBOBJS,;t t CEOF
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current
file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed
>$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition
is to
# speed up the sed processing (if there are no `@' at all,
there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag)
>$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
# Support "outfile[:infile[:infile...]]", defaulting in-
file="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
# Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirecto-
ries.
ac_dir=`(dirname "$ac_file") 2>/dev/null || $as_expr
X"$ac_file" : 'X[^/]//*[^/][^/]*/*$' X"$ac_file" :
'X[^/]' X"$ac_file" : 'X$' X"$ac_file" : 'X'
. : '' 2>/dev/null || echo X"$ac_file" |
sed '/^X[^/]*[^/][^/]**$/{ s//1/; q; }
/^X[^/].*/{ s//1/; q; }
/^X$/{ s//1/; q; }
/^X.*/{ s//1/; q; }
s/.*/./; q'`
{ if $as_mkdir_p; then
mkdir -p "$ac_dir"
else
as_dir="$ac_dir"
as_dirs=
while test ! -d "$as_dir"; do
as_dirs="$as_dir $as_dirs"
as_dir=`(dirname "$as_dir") 2>/dev/null || $as_expr
X"$as_dir" : 'X[^/]//*[^/][^/]*/*$' X"$as_dir" :
'X[^/]' X"$as_dir" : 'X$' X"$as_dir" : 'X'
. : '' 2>/dev/null || echo X"$as_dir" |
sed '/^X[^/]*[^/][^/]**$/{ s//1/; q; }
/^X[^/].*/{ s//1/; q; }
/^X$/{ s//1/; q; }
/^X.*/{ s//1/; q; }
s/.*/./; q'`
done
test ! -n "$as_dirs" || mkdir $as_dirs
fi || { { echo "$as_me:$LINENO: error: cannot create directory
echo "$as_me: error: cannot create directory
{ (exit 1); exit 1; }; }; }
ac_builddir=.
if test "$ac_dir" != .; then
ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
# A "../" for each directory in $ac_dir_suffix.
ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
else
ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_top_builddir$srcdir ;; esac # Don't blindly
perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be #
absolute. ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir &&
pwd` ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}.
&& pwd` ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
case $INSTALL in
[\/$]* | ?:[\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:$LINENO: creating $ac_file" >&5 echo "$as_me:
creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates
(i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
if test x"$ac_file" = x-; then
configure_input=
else
configure_input="$ac_file. "
fi
configure_input=$configure_input"Generated from `echo
$ac_file_in |
sed 's,.*/,,'` by config-
ure."
# First look for the input files in the build tree, otherwise
in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:$LINENO: error: cannot
find input file: $f" >&5 echo "$as_me: error: cannot find input
file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
ure_input,;t t s,@srcdir@,$ac_srcdir,;t t s,@abs_sr-
cdir@,$ac_abs_srcdir,;t t s,@top_srcdir@,$ac_top_srcdir,;t t
s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t s,@build-
dir@,$ac_builddir,;t t s,@abs_builddir@,$ac_abs_builddir,;t t
s,@top_builddir@,$ac_top_builddir,;t t s,@abs_top_build-
dir@,$ac_abs_top_builddir,;t t s,@INSTALL@,$ac_INSTALL,;t t "
$ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
rm -f $tmp/stdin
if test x"$ac_file" != x-; then
mv $tmp/out $ac_file
else
cat $tmp/out
rm -f $tmp/out
fi
done _ACEOF cat >>$CONFIG_STATUS <<_ACEOF
# # CONFIG_HEADER section. #
# These sed commands are passed to sed as "A NAME B NAME C VALUE
D", where # NAME is the cpp macro being defined and VALUE is the
value it is being given. # # ac_d sets the value in "#define
NAME VALUE" lines. ac_dA='s,^ ]*# ]*define[ ][
]*' ac_dB='[ ].*$,1#2' ac_dC=' ' ac_dD=',;t' # ac_u
turns "#undef NAME" without trailing blanks into "#define NAME
VALUE". ac_uA='s,^ ]*# ]*undef ][ ]*'
ac_uB='$,1#2define3' ac_uC=' ' ac_uD=',;t'
for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: &&
continue
# Support "outfile[:infile[:infile...]]", defaulting in-
file="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating
$ac_file" >&5 echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise
in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
else
# /dev/null tree
{ { echo "$as_me:$LINENO: error: cannot find input
file: $f" >&5 echo "$as_me: error: cannot find input file: $f"
>&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
# Remove the trailing spaces.
sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
_ACEOF
# Transform confdefs.h into two sed scripts, `conftest.defines'
and # `conftest.undefs', that substitutes the proper values into
# config.h.in to produce config.h. The first handles `#define' #
templates, and the second `#undef' templates. # And first: Pro-
tect against being on the right side of a sed subst in # con-
fig.status. Protect against being in an unquoted here document #
in config.status. rm -f conftest.defines conftest.undefs # Using
a here document instead of a string reduces the quoting night-
mare. # Putting comments in sed scripts is not portable. # #
`end' is used to avoid that the second main sed command (meant
for # 0-ary CPP macros) applies to n-ary macro definitions. #
See the Autoconf documentation for `clear'. cat >confdef2sed.sed
<<_ACEOF s/[\&,]/\&/g s,[\$`],\&,g t clear : clear s,^[ ]*#[
]*define[ ][ ]* (][^ (]*^)]*)[
]*$,${ac_dA}1${ac_dB}12${ac_dC}3${ac_dD},gp t end s,^[
]*#[ ]*define[ ][ ]* ][^ ]*[
]*$,${ac_dA}1${ac_dB}1${ac_dC}2${ac_dD},gp : end _ACEOF # If
some macros were called several times there might be several
times # the same #defines, which is useless. Nevertheless, we
may not want to # sort them, since we want the *last* AC-DEFINE
to be honored. uniq confdefs.h | sed -n -f confdef2sed.sed >con-
ftest.defines sed 's/ac_d/ac_u/g' conftest.defines >conftest.un-
defs rm -f confdef2sed.sed
# This sed command replaces #undef with comments. This is neces-
sary, for # example, in the case of _POSIX_SOURCE, which is pre-
defined and required # on some systems where configure will not
decide to define it. cat >>conftest.undefs <<_ACEOF s,^[ ]*#[
]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
_ACEOF
# Break up conftest.defines because some shells have a limit on
the size # of here documents, and old seds have small limits too
(100 cmds). echo ' # Handle all the #define templates only if
necessary.' >>$CONFIG_STATUS echo ' if grep "^[ ]*#[
]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS echo ' #
If there are no defines, we may have an empty if/fi' >>$CON-
FIG_STATUS echo ' :' >>$CONFIG_STATUS rm -f conftest.tail while
rm -f conftest.defines
mv conftest.tail conftest.defines done rm -f conftest.defines
echo ' fi # grep' >>$CONFIG_STATUS echo >>$CONFIG_STATUS
# Break up conftest.undefs because some shells have a limit on
the size # of here documents, and old seds have small limits too
(100 cmds). echo ' # Handle all the #undef templates' >>$CON-
FIG_STATUS rm -f conftest.tail while grep . conftest.undefs
>/dev/null do
# Write a limited-size here document to $tmp/undefs.sed.
echo ' cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
# Speed up: don't consider the non `#undef'
echo '/^[ ]*#[ ]*undef/!b' >>$CONFIG_STATUS
# Work around the forget-to-reset-the-flag bug.
echo 't clr' >>$CONFIG_STATUS
echo ': clr' >>$CONFIG_STATUS
sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
echo 'CEOF
sed -f $tmp/undefs.sed $tmp/in >$tmp/out
rm -f $tmp/in
mv $tmp/out $tmp/in
sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
rm -f conftest.undefs
mv conftest.tail conftest.undefs done rm -f conftest.undefs
cat >>$CONFIG_STATUS <<_ACEOF
# Let's still pretend it is `configure' which instantiates
(i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
if test x"$ac_file" = x-; then
echo "/* Generated by configure. */" >$tmp/config.h
else
echo "/* $ac_file. Generated by configure. */" >$tmp/con-
fig.h
fi
cat $tmp/in >>$tmp/config.h
rm -f $tmp/in
if test x"$ac_file" != x-; then
if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
{ echo "$as_me:$LINENO: $ac_file is unchanged" >&5 echo
"$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`(dirname "$ac_file") 2>/dev/null || $as_expr
X"$ac_file" : 'X[^/]//*[^/][^/]*/*$' X"$ac_file" :
'X[^/]' X"$ac_file" : 'X$' X"$ac_file" : 'X'
. : '' 2>/dev/null || echo X"$ac_file" |
sed '/^X[^/]*[^/][^/]**$/{ s//1/; q; }
/^X[^/].*/{ s//1/; q; }
/^X$/{ s//1/; q; }
/^X.*/{ s//1/; q; }
s/.*/./; q'`
/^X.*/{ s//1/; q; }
s/.*/./; q'`
done
test ! -n "$as_dirs" || mkdir $as_dirs
fi || { { echo "$as_me:$LINENO: error: cannot create directory
echo "$as_me: error: cannot create directory
{ (exit 1); exit 1; }; }; }
rm -f $ac_file
mv $tmp/config.h $ac_file
fi
else
cat $tmp/config.h
rm -f $tmp/config.h
fi done _ACEOF cat >>$CONFIG_STATUS <<_ACEOF
# # CONFIG_COMMANDS section. # for ac_file in : $CONFIG_COM-
MANDS; do test "x$ac_file" = x: && continue
ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_dir=`(dirname "$ac_dest") 2>/dev/null || $as_expr
X"$ac_dest" : 'X[^/]//*[^/][^/]*/*$' X"$ac_dest" :
'X[^/]' X"$ac_dest" : 'X$' X"$ac_dest" : 'X'
. : '' 2>/dev/null || echo X"$ac_dest" |
sed '/^X[^/]*[^/][^/]**$/{ s//1/; q; }
/^X[^/].*/{ s//1/; q; }
/^X$/{ s//1/; q; }
/^X.*/{ s//1/; q; }
s/.*/./; q'`
ac_builddir=.
if test "$ac_dir" != .; then
ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
# A "../" for each directory in $ac_dir_suffix.
ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
else
ac_dir_suffix= ac_top_builddir= fi
case $srcdir in
.) # No --srcdir option. We are building in place.
ac_srcdir=.
if test -z "$ac_top_builddir"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
fi ;;
[\/]* | ?:[\/]* ) # Absolute path.
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_top_builddir$srcdir ;; esac # Don't blindly
cat >>$CONFIG_STATUS <<_ACEOF
{ (exit 0); exit 0; } _ACEOF chmod +x $CONFIG_STATUS
ac_clean_files=$ac_clean_files_save
# configure is writing to config.log, and then calls config.sta-
tus. # config.status does its own redirection, appending to con-
fig.log. # Unfortunately, on DOS this fails, as config.log is
still kept open # by configure, so config.status won't be able to
write to it; its # output is simply discarded. So we exec the FD
to /dev/null, # effectively closing config.log, so it can be
properly (re)opened and # appended to by config.status. When
coming back to configure, we # need to make the FD available
again. if test "$no_create" != yes; then
ac_cs_success=:
ac_config_status_args=
test "$silent" = yes &&
ac_config_status_args="$ac_config_status_args --quiet"
exec 5>/dev/null
$SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_suc-
cess=false
exec 5>>config.log
# Use ||, not &&, to avoid exiting from the if with $? = 1,
which
# would make configure fail if this is the last instruction.
$ac_cs_success || { (exit 1); exit 1; } fi
Man(1) output converted with
man2html